> For the complete documentation index, see [llms.txt](https://docs.ionos.com/ansible/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/ansible/api/dbaas-mongo/info-modules/mongo_cluster_info.md).

# Mongo Cluster Users

This is a simple module that supports listing existing the users in a Mongo Cluster

## Example Syntax

```yaml

name: List Mongo Clusters
ionoscloudsdk.ionoscloud.mongo_cluster_info: null
register: mongo_clusters_response

```

&#x20;

&#x20;

## Returned object

```json
{
    "result": [
        {
            "type": "cluster",
            "id": "3fdd2940-f9b4-425d-b52b-4199a84188d2",
            "metadata": {
                "created_date": "2023-05-30T13:43:20+00:00",
                "created_by": "<USER_EMAIL>",
                "created_by_user_id": "<USER_ID>",
                "last_modified_date": null,
                "last_modified_by": null,
                "last_modified_by_user_id": null,
                "state": "AVAILABLE",
                "health": "HEALTHY"
            },
            "properties": {
                "display_name": "AnsibleTestMongoDBCluster",
                "mongo_db_version": "5.0",
                "location": "de/fra",
                "instances": 3,
                "connections": [
                    {
                        "datacenter_id": "6b36f398-2089-414b-a57f-85f7b88aee5b",
                        "lan_id": "1",
                        "cidr_list": [
                            "<CIDR1>",
                            "<CIDR2>",
                            "<CIDR3>"
                        ]
                    }
                ],
                "maintenance_window": {
                    "time": "14:13:28",
                    "day_of_the_week": "Thursday"
                },
                "template_id": "6b78ea06-ee0e-4689-998c-fc9c46e781f6",
                "connection_string": "<CONNECTION_STRING>"
            }
        }
    ],
    "failed": false,
    "changed": false
}

```

&#x20;

### For more examples please check out the tests [here](https://github.com/ionos-cloud/module-ansible/tree/master/tests/dbaas-mongo).

&#x20;

### Available parameters:

&#x20;

<table data-full-width="true"><thead><tr><th>Name</th><th align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>filters<br><mark style="color:blue;">dict</mark></td><td align="center">False</td><td>Filter that can be used to list only objects which have a certain set of properties. Filters should be a dict with a key containing keys and value pair in the following format: 'properties.name': 'server_name'</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/ansible/api/dbaas-mongo/info-modules/mongo_cluster_info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
